//-----------Left List-----------
function main_NetworkSetting_click(that)
{
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1);	
	Class = new LoadHtml();
	var Html = Class.GetVariableTranslationHtml(Global_NetworkSettingCssHtml);
	Html = Html + Class.GetVariableTranslationHtml(Global_NetworkSettingUpdatePageHtml);
	Html = Html + Class.GetVariableTranslationHtml(Global_NetworkSettingHtml);
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = new NetworkSetting();
	Class.ShowUi();
	Class = null;
}
//-----------Center-----------
//__________網路設定__________
function main_Lan1NetworkSetting_click(that)
{
	var Class = new NetworkSetting();
	Class.SetLan1NetworkSetting(that);
	Class = null;
}
function main_Lan2NetworkSetting_click(that)
{
	var Class = new NetworkSetting();
	Class.SetLan2NetworkSetting(that);
	Class = null;
}
function main_SaveHostname_click(that)
{
	var Class = new NetworkSetting();
	Class.SetHostname(that);
	Class = null;
}
function main_DdnsSetting_click(that)
{
	var Class = new NetworkSetting();
	Class.SetDdns(that);
	Class = null;
}
//__________無線設定__________
function main_WirelessSaveData_click(that)
{
	var Class = new Wireless();
	Class.SaveWirelessData(that);
	Class = null;
}
function main_WirelessDisconnect_click(that)
{
	var Class = new Wireless();
	Class.Disconnect(that);
	Class = null;
}

function main_WirelessSimPINCheck_click(that)
{
	$(that).css('pointer-events', "none");
	var Class = new Wireless();
	Class.SimCardConnect(that);
	//$(that).css('pointer-events', "visible");
	Class = null;
}